Package org.optaplanner.benchmark.impl.statistic.common

## Class MillisecondsSpentNumberFormat

- java.lang.Object
- - java.text.Format
  - - java.text.NumberFormat
    - - org.optaplanner.benchmark.impl.statistic.common.MillisecondsSpentNumberFormat

- All Implemented Interfaces:
    `Serializable`, `Cloneable`

      public class MillisecondsSpentNumberFormat
      extends NumberFormat

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.text.NumberFormat

      `NumberFormat.Field`

  - ### Field Summary

    - ### Fields inherited from class java.text.NumberFormat

      `FRACTION_FIELD, INTEGER_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MillisecondsSpentNumberFormat​(Locale locale)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StringBuffer` | `format​(double number, StringBuffer toAppendTo, FieldPosition pos)` |
    `StringBuffer` | `format​(long number, StringBuffer toAppendTo, FieldPosition pos)` |
    `Number` | `parse​(String source, ParsePosition parsePosition)` |

    - ### Methods inherited from class java.text.NumberFormat

      `clone, equals, format, format, format, getAvailableLocales, getCurrency, getCurrencyInstance, getCurrencyInstance, getInstance, getInstance, getIntegerInstance, getIntegerInstance, getMaximumFractionDigits, getMaximumIntegerDigits, getMinimumFractionDigits, getMinimumIntegerDigits, getNumberInstance, getNumberInstance, getPercentInstance, getPercentInstance, getRoundingMode, hashCode, isGroupingUsed, isParseIntegerOnly, parse, parseObject, setCurrency, setGroupingUsed, setMaximumFractionDigits, setMaximumIntegerDigits, setMinimumFractionDigits, setMinimumIntegerDigits, setParseIntegerOnly, setRoundingMode`

    - ### Methods inherited from class java.text.Format

      `format, formatToCharacterIterator, parseObject`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MillisecondsSpentNumberFormat

          public MillisecondsSpentNumberFormat​(Locale locale)

  - ### Method Detail

    - #### format

          public StringBuffer format​(double number,
                                     StringBuffer toAppendTo,
                                     FieldPosition pos)

      Specified by:
        `format` in class `NumberFormat`

    - #### format

          public StringBuffer format​(long number,
                                     StringBuffer toAppendTo,
                                     FieldPosition pos)

      Specified by:
        `format` in class `NumberFormat`

    - #### parse

          public Number parse​(String source,
                              ParsePosition parsePosition)

      Specified by:
        `parse` in class `NumberFormat`